function [ x,D ] = NR_optimisation(f,df,H,x0)
%NR_optimisation Newton-Rapson unconstrained optimisation (for convex
%functions)
eps = 1e-10;
eta = 1e-1;
MAX = 100000;

x = x0;
d = df(x);
i=0;
X=[];
D=[];
while norm(d) > eps && i<MAX
    h = H(x);
    update = h\d;
    x = x - eta*update;
    d = df(x);
    i=i+1;
    D = [D,norm(d)];
end




end

